slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSMatGetSize

Returns the numbers of rows and columns of one of the DS matrices.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSMatGetSize(DS ds,DSMatType t,PetscInt *m,PetscInt *n)

Not Collective

### Input Parameters

| ds | - the direct solver context
| t | - the requested matrix

### Output Parameters

| n | - the number of rows
| m | - the number of columns

### Note

This is equivalent to MatGetSize() on a matrix obtained with DSGetMat().

### See Also

DSSetDimensions(), DSGetMat()

### Level

developer

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages